<?php

$INI_File="status.txt";

function write_php_ini($array, $file)
{
    $res = array();
    foreach($array as $key => $val)
    {
        if(is_array($val))
        {
            $res[] = "[$key]";
            foreach($val as $skey => $sval) $res[] = "$skey = ".(is_numeric($sval) ? $sval : '"'.$sval.'"');
        }
        else $res[] = "$key = ".(is_numeric($val) ? $val : '"'.$val.'"');
    }
    safefilerewrite($file, implode("\r\n", $res));
}

function safefilerewrite($fileName, $dataToSave)
{    if ($fp = fopen($fileName, 'w'))
    {
        $startTime = microtime(TRUE);
        do
        { $canWrite = flock($fp, LOCK_EX);
           if(!$canWrite) usleep(round(rand(0, 100)*1000));
        } while ((!$canWrite)and((microtime(TRUE)-$startTime) < 5));
        if ($canWrite)
        {            fwrite($fp, $dataToSave);
            flock($fp, LOCK_UN);
        }
        fclose($fp);
    }

}
$config = parse_ini_file($INI_File );
if (isset($_GET['status'])){
    $value = $_GET['status'];
    $value =intval(($value ));
        
    $config['status']=$value;
}    
if (isset($_GET['eof'])){
    $value = $_GET['eof'];
    $value =intval(($value ));
    $config['eof']=$value;
}    

if (isset($_GET['auto'])){
    $value = $_GET['auto'];
    $value =intval(($value ));
    $config['auto']=$value;
}
 

write_php_ini($config,$INI_File  ) ;

?>